Subject: Re: [X2Go-Dev] Bug#471: ATTENTION @Mike#1 - serious bug in x2goserver upgrade script (debian wheezy+squeeze)

From: Panayotis Katsaloulis <[email-masked]>
Date: Thu, 3 Apr 2014 11:32:35 +0300

Strangely. even after a reboot the problem persisted.
I had already uninstalled and re-installed the package, with no luck either.

So, I killed the x2gocleansessions manually as proposed. Then upgrade script worked as expected.
No more hanging happened.
I didn’t manually replace the script, but it should have been done by the re-installation.

On April 3, 2014 at 11:19:13 AM, Mike Gabriel ([email-masked]) wrote:
> Hi Stefan, hi Panayotis
>  
> On Do 03 Apr 2014 09:52:58 CEST, Stefan Baur wrote:
>  
> > Addendum:
> >
> > This is part of the "ps ax" output on one of the affected machines:
> >
> > 2563 pts/2 S+ 0:00 apt-get upgrade -y
> > 4958 pts/1 S+ 0:00 /usr/bin/perl -w /usr/share/debconf/frontend
> > /var/lib/dpkg/info/x2goserver.postinst configure 4.0.1.13-0x2go1+
> > 4962 pts/1 Z+ 0:00 [x2goserver.post]  
> > 5004 pts/1 S+ 0:00 /usr/bin/perl /usr/sbin/x2gocleansessions
> >
> > manually killing x2gocleansessions (" kill $(pidof x2gocleansessions)")
> > seems to be a workaround, but still, we need a real fix in the form of
> > an updated package.
> >
> > -Stefan
>  
> Can you please:
>  
> o upgrade to 4.0.1.14
> o killall x2gocleansessions once the init script hangs during upgrade
> o replace /usr/sbin/x2gocleansessions by this file [1]
> o sudo service x2goserver start
> o now it should not hang...
>  
> Sorry, I forgot one cherry-pick to the release/4.0.1.x branch in
> x2goserver.git.
>  
> [1]
> http://code.x2go.org/gitweb?p=x2goserver.git;a=blob;f=x2goserver/sbin/x2gocleansessions;h=7fc5e8a428bcbd7867e2083f897915a2b286b32b;hb=336917af0dc087e4540fb3d55eb501d2fa4349be  
>  
> Greets,
> Mike
> --
>  
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>  
> GnuPG Key ID 0x25771B31
> mail: [email-masked], http://das-netzwerkteam.de
>  
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb  
>  

--  
Panayotis